org.keycloak.services.managers

## Class OAuthClientManager

- java.lang.Object
- - org.keycloak.services.managers.OAuthClientManager

-     public class OAuthClientManager
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OAuthClientManager.InstallationAdapterConfig`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected RealmModel` | `realm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuthClientManager(RealmModel realm)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OAuthClientModel` | `create(OAuthClientRepresentation rep)`
    `OAuthClientModel` | `create(String name)`
    `UserCredentialModel` | `generateSecret(OAuthClientModel app)`
    `OAuthClientManager.InstallationAdapterConfig` | `toInstallationRepresentation(RealmModel realmModel, OAuthClientModel model, URI baseUri)`
    `static OAuthClientRepresentation` | `toRepresentation(OAuthClientModel model)`
    `void` | `update(OAuthClientRepresentation rep, OAuthClientModel model)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realm

          protected RealmModel realm

  - ### Constructor Detail

    - #### OAuthClientManager

          public OAuthClientManager(RealmModel realm)

  - ### Method Detail

    - #### generateSecret

          public UserCredentialModel generateSecret(OAuthClientModel app)

    - #### create

          public OAuthClientModel create(String name)

    - #### create

          public OAuthClientModel create(OAuthClientRepresentation rep)

    - #### update

          public void update(OAuthClientRepresentation rep,
                    OAuthClientModel model)

    - #### toRepresentation

          public static OAuthClientRepresentation toRepresentation(OAuthClientModel model)

    - #### toInstallationRepresentation

          public OAuthClientManager.InstallationAdapterConfig toInstallationRepresentation(RealmModel realmModel,
                                                                                  OAuthClientModel model,
                                                                                  URI baseUri)

Copyright © 2014. All Rights Reserved.